name='gamemode-lib32'
version='1.8.2'
release='2'
desc='A daemon/lib combo that allows games to request a set of optimisations be temporarily applied to the host OS'
homepage='https://github.com/FeralInteractive/gamemode'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('BSD-3-Clause')
provides=('libgamemode.so' 'libgamemodeauto.so')
conflicts=('gamemode-lib32' 'gamemode-lib32-bin' 'gamemode-lib32-git')

deps=(
  'dbus(x86-32)'
  'glibc(x86-32)'
  'systemd(x86-32)'
)
deps_arch=(
  'lib32-dbus'
  'lib32-glibc'
  'lib32-systemd'
)

build_deps=(
  'git'
  'glibc-devel(x86-32)'
  'libstdc++-devel(x86-32)'
  'dbus-libs(x86-32)'
  'systemd-devel(x86-32)'
  'meson'
  'appstream'
)

sources=("git+https://github.com/FeralInteractive/gamemode.git#tag=v${version}")
checksums=('SKIP')

build() {
  cd ${srcdir}
  export CC='gcc -m32'
  export PKG_CONFIG_PATH=/usr/lib/pkgconfig
  meson gamemode build --libdir /usr/lib -Dwith-examples=false -Dwith-sd-bus-provider=no-daemon -Dwith-util=false
  meson compile -C build
}

check() {
  meson test -C build
}

package() {
  DESTDIR="${pkgdir}" meson install -C build
  rm -rf "${pkgdir}"/{etc,usr/include}
  install -dm 755 "${pkgdir}"/usr/share/licenses
  ln -s gamemode "${pkgdir}"/usr/share/licenses/lib32-gamemode
}

