name='gamemode'
version='1.8.2'
release='2'
desc='A daemon/lib combo that allows games to request a set of optimisations be temporarily applied to the host OS'
homepage='https://github.com/FeralInteractive/gamemode'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('BSD-3-Clause')
provides=('libgamemode.so' 'libgamemodeauto.so')
conflicts=('gamemode' 'gamemode-bin' 'gamemode-git')

deps=(
  'glibc'
  'dbus-libs'
  'inih'
  'systemd-libs'
  'polkit'
)
deps_arch=(
  'glibc'
  'libdbus-1.so'
  'libinih'
  'libsystemd.so'
  'polkit'
)
build_deps=(
  'git'
  'meson'
  'appstream'
  'dbus-devel'
  'inih-devel'
  'systemd-devel'
)

sources=("git+https://github.com/FeralInteractive/gamemode.git#tag=v${version}")
checksums=('SKIP')

build() {
  cd ${srcdir}
  export PKG_CONFIG_PATH=/usr/lib64/pkgconfig
  meson gamemode build --libexecdir /usr/lib64/gamemode -Dwith-examples=false
  meson compile -C build
}

check() {
  meson test -C build --print-errorlogs
}

package() {
  meson install -C build --destdir "${pkgdir}"
  install-license gamemode/LICENSE.txt ./gamemode/LICENSE
}
