name='python3-deepdiff'
version='7.0.1'
release='1'
desc='Deep Difference and Search of any Python object/data.'
homepage='https://github.com/seperman/deepdiff'
license=('MIT')
architectures=('all')
provides=('deepdiff')
conflicts=('deepdiff')

deps=(
  'python3-ordered-set'
)

opt_deps=(
  'python3-click: for cli'
  'python3-tomli-w: for cli'
  'python3-yaml: for YAML support'
  'python3-clevercsv: for more robust CSV parsing'
  'python3-orjson: for speed and memory optimized parsing'
)
build_deps=(
  'python3-setuptools'
  'python3-pytest'
  'python3-clevercsv'
  'python3-click'
  'python3-dateutil'
  'python3-jsonpickle'
  'python3-numpy'
  'python3-tomli-w'
  'python3-yaml'
  'python3-orjson'
  'python3-pydantic'
)

sources=("https://github.com/seperman/deepdiff/archive/$version/$name-$version.tar.gz")
checksums=('SKIP')

build() {
  cd "deepdiff-$version"
  python setup.py build
}

check() {
  cd "deepdiff-$version"
  pytest tests
}

package() {
  cd "deepdiff-$version"
  python setup.py install --root="$pkgdir" --optimize=1
  install-license LICENSE ./deepdiff/LICENSE
}
