name='vial'
version='0.7.1'
release='4'
desc='Vial is an open-source cross-platform (Windows, Linux and Mac) GUI and a QMK fork for configuring your keyboard in real time, similar to VIA.'
homepage='https://get.vial.today/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL2')
provides=('vial')
conflicts=('vial' 'vial-bin' 'vial-git')

deps=('fuse')

sources=("https://github.com/vial-kb/vial-gui/releases/download/v${version}/Vial-v${version}-x86_64.AppImage?~archive=false")
checksums=('SKIP')

prepare() {
    chmod +x Vial-v${version}-x86_64.AppImage
    ./Vial-v${version}-x86_64.AppImage --appimage-extract
}

build() {
    cd ${srcdir}/squashfs-root/
    sed -i -E "s|Exec=Vial|Exec=env DESKTOPINTEGRATION=false /usr/bin/${name}|" ./Vial.desktop

    chmod -R a-x+rX ./usr
}

package() {

    install -Dm755 "${srcdir}/Vial-v${version}-x86_64.AppImage" "${pkgdir}/opt/${name}/${name}.AppImage"

    install -Dm644 "${srcdir}/squashfs-root/Vial.desktop" "${pkgdir}/usr/share/applications/${name}.desktop"

    install -dm755 "${pkgdir}/usr/share/"
    cp -a "${srcdir}/squashfs-root/usr/share/icons" "${pkgdir}/usr/share/"

    install -dm755 "${pkgdir}/usr/bin"
    ln -s "${pkgdir}/opt/vial/vial.AppImage" "${pkgdir}/usr/bin/${name}"

    install -Dm644 "${scriptdir}/92-vial.rules" "${pkgdir}/usr/lib/udev/rules.d/92-vial.rules"
}

